Public Member Functions | Public Attributes | List of all members
QuattroDosParserInternal::State Struct Reference

the state of QuattroDosParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)
| constructor More...
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding */ More...

## Public Attributes
long | m_eof
| the last file position More...
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
int | m_version
| the file version More...
bool | m_hasLICSCharacters
| flag to know if the character More...
std::vector< Font > | m_fontsList
| the fonts list More...
std::map< int, librevenge::RVNGString > | m_idToFileNameMap
| map id to filename More...
WPSPageSpan | m_pageSpan
| the actual document size More...
int | m_actPage
| the actual page More...
int | m_numPages
std::string | m_headerString
| the header string More...
std::string | m_footerString
| the footer string More...

## Detailed Description

the state of QuattroDosParser

## Constructor & Destructor Documentation

## ◆ State()

QuattroDosParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ getColor()

bool QuattroDosParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns a color corresponding to an id

## ◆ getDefaultFont()

WPSFont QuattroDosParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding */

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type QuattroDosParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## Member Data Documentation

## ◆ m_actPage

int QuattroDosParserInternal::State::m_actPage

the actual page

## ◆ m_eof

long QuattroDosParserInternal::State::m_eof

the last file position

## ◆ m_fontsList

std::vector<Font> QuattroDosParserInternal::State::m_fontsList

the fonts list

## ◆ m_fontType

libwps_tools_win::Font::Type QuattroDosParserInternal::State::m_fontType

the user font type

## ◆ m_footerString

std::string QuattroDosParserInternal::State::m_footerString

the footer string

## ◆ m_hasLICSCharacters

bool QuattroDosParserInternal::State::m_hasLICSCharacters

flag to know if the character

## ◆ m_headerString

std::string QuattroDosParserInternal::State::m_headerString

the header string

## ◆ m_idToFileNameMap

std::map<int, librevenge::RVNGString> QuattroDosParserInternal::State::m_idToFileNameMap

map id to filename

## ◆ m_numPages

int QuattroDosParserInternal::State::m_numPages

## ◆ m_pageSpan

WPSPageSpan QuattroDosParserInternal::State::m_pageSpan

the actual document size

## ◆ m_version

int QuattroDosParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- QuattroDos.cpp